> For a complete page index, fetch https://developer.close.com/llms.txt

# Fetch information about yourself

GET https://api.close.com/api/v1/me/

A special instance of the Users endpoint for the current user. Useful for determining your own `id` and `organization_id`.

Reference: https://developer.close.com/api/resources/users/get-me

## Authentication

- `Authorization` header (basic auth, required) — Use your API key as the username and leave the password empty.
- `Authorization` header (bearer token, required)

## Request

### Query parameters

- `_fields` (string, optional) — Comma-separated list of fields to include in the response.

## Response

### 200

Successful response

## Examples

**Response**

```json
{
  "date_created": "2012-08-29T13:46:31.870000+00:00",
  "date_updated": "2013-02-08T06:17:00.583000+00:00",
  "email": "anthony@close.com",
  "email_accounts": [
    {
      "_type": "google",
      "id": "emailacct_qG1RuJuy5baiXvVbIc2VelooJwGcKeIrQLNtTd9p6RO",
      "identities": [
        {
          "email": "anthony@close.com",
          "name": "Anthony Nemitz"
        }
      ],
      "organization_id": "orga_RbREgmiiwcr1w2b4cOnCMQaQPSIFxMqAD2Dh243uxcH",
      "user_id": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA"
    }
  ],
  "first_name": "Anthony",
  "id": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA",
  "image": "https://secure.gravatar.com/avatar/0ff7116c35caeba6d174affd45730cfd",
  "last_name": "Nemitz",
  "last_used_timezone": "America/Denver",
  "memberships": [
    {
      "auto_record_calls": "disabled",
      "id": "memb_I4Tx9tZwz5npqdGtd0baWtjjlpeFf45OBlkAAKcF3Gc",
      "organization_id": "orga_RbREgmiiwcr1w2b4cOnCMQaQPSIFxMqAD2Dh243uxcH",
      "permissions_granted": [
        "bulk_edit",
        "export"
      ],
      "role_id": "role_y6eLquXvRUdmwqi61tsmgCJUU7uGfxaRbDuLoONZL9p",
      "track_email_opens": true,
      "user_id": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA"
    }
  ],
  "organizations": [
    {
      "created_by": null,
      "date_created": "2013-02-01T00:54:51.097000+00:00",
      "date_updated": "2013-02-20T04:38:01.961000+00:00",
      "id": "orga_RbREgmiiwcr1w2b4cOnCMQaQPSIFxMqAD2Dh243uxcH",
      "lead_statuses": [
        {
          "id": "stat_1ZdiZqcSIkoGVnNOyxiEY58eTGQmFNG3LPlEVQ4V7Nk",
          "label": "Potential"
        },
        {
          "id": "stat_2ZdiZqcSIkoGVnNOyxiEY58eTGQmFNG3LPlEVQ4V7Nk",
          "label": "Bad Fit"
        },
        {
          "id": "stat_3ZdiZqcSIkoGVnNOyxiEY58eTGQmFNG3LPlEVQ4V7Nk",
          "label": "Qualified"
        }
      ],
      "name": "Sample Data",
      "pipelines": [
        {
          "created_by": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA",
          "date_created": "2019-11-04T11:04:13.014979",
          "date_updated": "2019-11-13T14:12:13.051542",
          "id": "pipe_6gV01if4wo7r2YTVQDWP2j",
          "name": "Sales",
          "organization_id": "orga_RbREgmiiwcr1w2b4cOnCMQaQPSIFxMqAD2Dh243uxcH",
          "statuses": [
            {
              "id": "stat_3PB2sedHBCjwuBImAEwgHOo858f2j41lpROkcl51Fzp",
              "label": "Active",
              "type": "active"
            },
            {
              "id": "stat_IOCtLYbAclJ8XAcb3yLUhQA3zlmjtXz8JMBLyXnNMF8",
              "label": "Won",
              "type": "won"
            },
            {
              "id": "stat_3mmBOyMmaG8yc4DmAPp9WmgbjhVctVLlnd9gmvWxBe2",
              "label": "Lost",
              "type": "lost"
            }
          ],
          "updated_by": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA"
        }
      ],
      "updated_by": null
    }
  ],
  "phone_numbers": [
    {
      "date_created": "2013-02-01T01:09:43.539000+00:00",
      "date_updated": "2013-02-01T01:09:43.539000+00:00",
      "id": "phon_wvZIxqZic5rqu14gnYjKXbPtj0Spj4mRGwII17IZCkQ",
      "number": "+16502822249",
      "organization_id": "orga_RbREgmiiwcr1w2b4cOnCMQaQPSIFxMqAD2Dh243uxcH"
    }
  ]
}
```

**SDK Code**

```python users_getMe_example
import requests

url = "https://api.close.com/api/v1/me/"

response = requests.get(url, auth=("<CLOSE_API_KEY>", ""))

print(response.json())
```

```javascript users_getMe_example
const url = 'https://api.close.com/api/v1/me/';
const credentials = btoa("<CLOSE_API_KEY>:");

const options = {method: 'GET', headers: {Authorization: `Basic ${credentials}`}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go users_getMe_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.close.com/api/v1/me/"

	req, _ := http.NewRequest("GET", url, nil)

	req.SetBasicAuth("<CLOSE_API_KEY>", "")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby users_getMe_example
require 'uri'
require 'net/http'

url = URI("https://api.close.com/api/v1/me/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request.basic_auth("<CLOSE_API_KEY>", "")

response = http.request(request)
puts response.read_body
```

```java users_getMe_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.close.com/api/v1/me/")
  .basicAuth("<CLOSE_API_KEY>", "")
  .asString();
```

```php users_getMe_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.close.com/api/v1/me/', [
  'headers' => [
  ],
    'auth' => ['<CLOSE_API_KEY>', ''],
]);

echo $response->getBody();
```

```csharp users_getMe_example
using RestSharp;
using RestSharp.Authenticators;

var client = new RestClient("https://api.close.com/api/v1/me/");
client.Authenticator = new HttpBasicAuthenticator("<CLOSE_API_KEY>", "");
var request = new RestRequest(Method.GET);

IRestResponse response = client.Execute(request);
```